#!/usr/bin/env python
# -*- coding: UTF-8 -*-
"""**deprecated**
script de conversion entre les anciens formats
creole2 et les nouveaux creole2

[% IF <expr> %] devient %if <expr>
etc. etc.
"""
import re
# from error import TemplateError
class TemplateError(Exception):
    pass
from os.path import isfile
from logging import error


IF = re.compile("[' ']*\[%[' ']*IF[' ']+(?P<string>[\S\s\D\d]+)[' ']*%\]", re.I)
ELSE = re.compile("[' ']*\[%[' ']*ELSE[' ']*%\]", re.I)
END = re.compile("[' ']*\[%[' ']*END[' ']*%\]", re.I)
FOREACH = re.compile("[' ']*\[%[' ']*FOREACH[' ']+(?P<string>[\S\s\D\d]+)[' ']*%\]", re.I)
FOR = re.compile("[' ']*\[%[' ']*FOR[' ']+(?P<var>\S+)[' ']+IN[' ']+(?P<string>[\S\s\D\d]+)[' ']*%\]", re.I)
EOLEVAR = re.compile('%%(\w+)%%', re.I)
EOLELIST = re.compile('%%(\w+\[\d+\])%%', re.I)
TEMPLATEVAR = re.compile('\[% *(\w+) *%\]', re.I)
VAR_RGX = re.compile('%%([0-9a-z_]+)%%', re.I)
VAR_RGX2 = re.compile('%([0-9a-z_]+)', re.I)

def change_varformat(line):
    return VAR_RGX.sub(r'$\1', line)

def change_varformat2(line):
    return VAR_RGX2.sub(r'$\1', line)


def convert(filename):
    """
    processing du mini-langage de template
    """
    if not isfile(filename):
        error("%s n'est pas un fichier" % filename)
        return
    etat = 1
    _RES = []
    for ligne in file(filename):
        if etat == 1:
            if END.match(ligne):
                _RES.append('%end if\n')
                continue
        # on est dans aucun bloc
            test_if = IF.match(ligne)
            #bloc if trouve
            if test_if:
                # [% IF <string> %]
                _RES.append('%%if %s\n' % change_varformat2(test_if.group('string')).strip())
                continue
            test_foreach = FOREACH.match(ligne)
            if test_foreach:
             ##bloc foreach trouve
                _RES.append('%%for $variable_iter in $%s\n' % test_foreach.group('string').strip())
                buf = ''
                etat = 6
                continue
            _RES.append(change_varformat(ligne))
        elif etat == 6:
        # foreach
            test_end = END.match(ligne)                
            if test_end:
                # losque l'on trouve le [% END %], on réalise les traitements liés au FOREACH
                etat = 1
                buf = change_varformat(buf)
                buf = TEMPLATEVAR.sub(r'$variable_iter', buf)
                _RES.append(buf)
                _RES.append('%end for\n')
                buf = ''
                continue
            buf += ligne

    if etat != 1 :
        msg = 'fin de bloc manquante dans %s' % filename
        error(msg)
        raise TemplateError, msg

    return ''.join(_RES)

        

    



S1 = """
#-------------------------------------------------------------------------
## fcrontab pour Eole/Amon version 2 revue le 10/05/2006
#par samuel morin <samuel.morin@ac-dijon.fr>
#-------------------------------------------------------------------------


SHELL=/bin/bash
PATH=/sbin:/bin:/usr/sbin:/usr/bin
MAILTO=root
HOME=/

# run-parts
01 * * * * root run-parts /etc/cron.hourly
02 4 * * * root run-parts /etc/cron.daily
22 4 * * 0 root run-parts /etc/cron.weekly
42 4 1 * * root run-parts /etc/cron.monthly
#Zephir
*/10 * * * *    root    /usr/share/eole/zephir/cron-zephir.sh
## rotation des logs pour l'ead
50 23 * * 1-6 apache /usr/share/ead/cron-soir.sh
50 23 * * 7 apache /usr/share/ead/cron-dimanche.sh
# Mise %Gï¿½%@ jour des blacklists toutes les nuits
00 00 * * * root /usr/share/eole/lance-Maj-blacklist.sh
# rrdtools
*/5 * * * *    root    /usr/share/eole/recup-rrd.sh
# Fwlogwatch
00 1 * * 7 root /usr/share/eole/lance-fwlogwatch
%if $serveur_ntp != ''
# On lance une synchronisation horaire tout les jours sauf le WE.
30 9 * * 1-5 root /etc/init.d/ntpdate restart >/dev/null 2>&1
%end if
%if $install_rvp == 'Oui'
# test du rvp
*/10 * * * *    root    /usr/share/eole/magic-rvp
%end if

"""


S2 = """
#-------------------------------------------------------------------------
## fcrontab pour Eole/Amon version 2 revue le 10/05/2006
#par samuel morin <samuel.morin@ac-dijon.fr>
#-------------------------------------------------------------------------


SHELL=/bin/bash
PATH=/sbin:/bin:/usr/sbin:/usr/bin
MAILTO=root
HOME=/

# run-parts
01 * * * * root run-parts /etc/cron.hourly
02 4 * * * root run-parts /etc/cron.daily
22 4 * * 0 root run-parts /etc/cron.weekly
42 4 1 * * root run-parts /etc/cron.monthly
#Zephir
*/10 * * * *    root    /usr/share/eole/zephir/cron-zephir.sh
## rotation des logs pour l'ead
50 23 * * 1-6 apache /usr/share/ead/cron-soir.sh
50 23 * * 7 apache /usr/share/ead/cron-dimanche.sh
# Mise %Gï¿½%@ jour des blacklists toutes les nuits
00 00 * * * root /usr/share/eole/lance-Maj-blacklist.sh
# rrdtools
*/5 * * * *    root    /usr/share/eole/recup-rrd.sh
# Fwlogwatch
00 1 * * 7 root /usr/share/eole/lance-fwlogwatch
%if $serveur_ntp != ''
# On lance une synchronisation horaire tout les jours sauf le WE.
30 9 * * 1-5 root /etc/init.d/ntpdate restart >/dev/null 2>&1
%end if
%if $install_rvp == 'Oui'
# test du rvp
*/10 * * * *    root    /usr/share/eole/magic-rvp
%end if

"""


if __name__ == '__main__':
    import sys
    print convert(sys.argv[1])
