# -*- coding: UTF-8 -*-
"""
Fichier de conf de l'application Zephir
"""

ADRESSE_LDAP = "%%serveur_ldap%%"
ADRESSE_ZEPHIR = "%%adresse_ip_eth0%%"
BASE_LDAP = "%%base_ldap%%"
PORT_HTTP = "8090"
PORT_ZEPHIR = "7080"
PORT_WEB = 8070
# répertoire de base appli 
ROOT_DIR = "/usr/share/zephir/"

MAIL_ADRESSE = "%%serveur_smtp%%"
MAIL_PORT = "%%port_smtp%%"
MAIL_ACCOUNT = "%%compte_smtp%%"

# répertoire de base des donnees backend
PATH_ZEPHIR = "/var/lib/zephir/"
PATH_TEMP = PATH_ZEPHIR + "tmp/"

# liste des modules eole
liste_modules = ['amon-1.5','sphynx-1.1','scribe-1.0','horus-1.0']
# liste des verrous existants et de leurs dépendances
verrous = {'uucp':['Execution des tâches Zephir'],
           'sauvegarde':['Maj-Auto','Maj-Cd'],
           'maj':[],
           'configure':[],
           'reconfigure':[]}

# temps entre chaque vérification des timeout (secondes)
SCAN_DELAY = 300

# gestion de l'encodage des chaines
charset = "ISO-8859-1"

debug=0
